tsig_algo_struct Struct Reference

`#include <tsig.h>`

## Data Fields

const char * | txt_name
ldns_rdf * | wf_name
size_t | max_digest_size
const void * | data
void *(* | hmac_create )(void)
void(* | hmac_init )(void *context, tsig_algo_type *algo, tsig_key_type *key)
void(* | hmac_update )(void *context, const void *data, size_t size)
void(* | hmac_final )(void *context, uint8_t *digest, size_t *size)

## Detailed Description

Definition at line 89 of file tsig.h.

## Field Documentation

## data

const void* tsig_algo_struct::data

Definition at line 93 of file tsig.h.

## hmac_create

void *(* tsig_algo_struct::hmac_create) (void)

Definition at line 95 of file tsig.h.

Referenced by tsig_rr_prepare().

## hmac_final

void(* tsig_algo_struct::hmac_final) (void *context, uint8_t *digest, size_t *size)

Definition at line 102 of file tsig.h.

Referenced by tsig_rr_sign(), and tsig_rr_verify().

## hmac_init

void(* tsig_algo_struct::hmac_init) (void *context, tsig_algo_type *algo, tsig_key_type *key)

Definition at line 97 of file tsig.h.

Referenced by tsig_rr_prepare().

## hmac_update

void(* tsig_algo_struct::hmac_update) (void *context, const void *data, size_t size)

Definition at line 100 of file tsig.h.

Referenced by tsig_rr_prepare(), and tsig_rr_update().

## max_digest_size

size_t tsig_algo_struct::max_digest_size

Definition at line 92 of file tsig.h.

Referenced by tsig_handler_add_algo(), and tsig_rr_prepare().

## txt_name

const char* tsig_algo_struct::txt_name

Definition at line 90 of file tsig.h.

Referenced by tsig_lookup_algo().

## wf_name

ldns_rdf* tsig_algo_struct::wf_name

Definition at line 91 of file tsig.h.

Referenced by tsig_handler_cleanup(), and tsig_rr_lookup().

The documentation for this struct was generated from the following file:

- src/wire/tsig.h